Authentication, input and response

Request a sustainability advice based on address.

POST https://api.altum.ai/v2/sustainability/apartments/delta

This endpoint allows you to receive response from the Altum AI Sustainability Delta API regarding sustainability and the Ecovalue, using the post code, house number and house addition.

Headers

Name
Type
Description

Content-Type

string

application/json

x-api-key*

string

Unique API Key from Altum. Create one via Mopsus(https://mopsus.altum.ai)

Request Body

Name
Type
Description
Example/Default

postcode*

string

Six-character postcode format

1234AB

housenumber*

integer

House number of the object

5

houseaddition

string

Addition to the house number

C

position

integer

1 = 'Corner ground floor' 2 = 'In between ground floor' 3 = 'Corner mid floor' 4 = 'In between mid floor' 5 = 'Corner top floor' 6 = 'In between top floor' 7 = 'Entire top floor'

Default: 1

floors

integer

Does the unit has one or more floors?

1 = 'Single'

2 = 'Multiple'

Default: 1

back_facade

boolean

Does the unit has as back facade?

false = no

true = yes

Default: false

build_year

integer

Year the object was built

1956

inner_surface_area

float

The total living surface area (m2)

90

apartment_type

integer

1 = 'Galerijflat' 2 = 'Portiekflat' 3 = 'Maisonnette' 4 = 'Benedenwoning' 5 = 'Bovenwoning' 6 = 'Portiekwoning'

2

wall_insulation

integer

2

target_wall_insulation

integer

4

floor_insulation

integer

1

target_floor_insulation

integer

4

roof_insulation

integer

2

target_roof_insulation

integer

4

living_room_windows

integer

1

target_living_room_windows

integer

3

installation

integer

Default: 4

target_installation

integer

Default: 4

shower

integer

Default: 1

target_shower

integer

Default: 1

ventilation

integer

2

target_ventilation

integer

3

solar_panels

list

cooling

integer

Is there a cooling system present?

1 = No cooling

2 = Air conditioning unit, direct air cooling

Default: 1

target_cooling

integer

Is there a cooling system present?

1 = No cooling

2 = Air conditioning unit, direct air cooling

Default: 1

electric_cooking

integer

What is used for cooking?

1 = Gas stove

2 = Electric stove

Default: 2 if Installation in [6,7],

Else 1

target_electric_cooking

integer

What is used for cooking?

1 = Gas stove

2 = Electric stove

Default: 2 if Installation in [6,7],

Else 1

inhabitants

integer

The number of people living in the house

4

gas_usage

float

Overwrites the estimated yearly gas consumption (m3)

1000

heat_usage

float

Overwrites specified yearly heat consumption in (GJ)

45

electricity_usage

float

Overwrites specified yearly electricity consumption (KWh)

2600

electricity_generation

float

Total yearly electricity yield of solar panels (kWh)

Net usage = consumption - yield

800

exclude_vat

boolean

Prices are with or without VAT included.

false = VAT included

true = VAT excluded

Default: false

cost_indicators

dict

wall_filters

dict

roof_filters

dict

floor_filters

dict

eco_delta

boolean

Fetching ecovalue

0 = Disable

1 = Enable

Default: 1

Specifying both the position and the floors of the apartment is recommended for optimal results.

Laatst bijgewerkt